Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 980900 - deltaspike-beanbuilder and kitchensink-deltaspike show JPA warning in JBDS 7
Summary: deltaspike-beanbuilder and kitchensink-deltaspike show JPA warning in JBDS 7
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: DeltaSpike
Version: 2.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Jason Porter
QA Contact: Ron Šmeral
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 13:23 UTC by Ron Šmeral
Modified: 2016-11-01 01:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 13:17:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 919361 None None None Never
Red Hat Bugzilla 982193 None None None Never
Red Hat One Jira Issue Tracker WFK2-142 Minor Closed deltaspike-beanbuilder and kitchensink-deltaspike show JPA warning in JBDS 7 2014-08-25 11:41:27 UTC

Internal Links: 919361 982193

Description Ron Šmeral 2013-07-03 13:23:06 UTC
Description of problem:
deltaspike-beanbuilder and kitchensink-deltaspike quickstarts show a warning (JPA problem) when imported in JBDS 7: "No connection specified for project. No database-specific validation will be performed."

Version-Release number of selected component (if applicable):
WFK 2.3.0.CR2
JBDS 7.0.0.Beta2b

How reproducible:
Import the quickstarts into JBDS.

Actual results:
Warning is shown: "No connection specified for project. No database-specific validation will be performed."

Expected results: 
? (This warning provides only very little valuable information, and might drown out other more valuable warnings. Not sure what's the "expected result".)

Additional info:
In deltaspike-beanmanagerprovider, this was resolved by adding <m2e.jpa.activation>false</m2e.jpa.activation> to the pom.xml, which disables the JPA facet of the project altogether. IMHO it's not reasonable to disable the JPA facet just to get rid of a warning. The JPA facet might still be useful. It would be more appropriate to maybe document the behaviour in README and leave the "<m2e.jpa.activation>false</m2e.jpa.activation>" in pom.xml, commented out, with a note about what it does.


Note You need to log in before you can comment on or make changes to this bug.